Login  •  Register


The time is now: Sun Apr 20, 2014 10:51 am

Emaculation wiki  •  Delete all board cookies



Post new topic  Reply to topic Page 1 of 1 [ 17 posts ]
Print view Previous topic  |  Next topic
Author Message
 Post subject: SS and OS 7.5.x
PostPosted: Sat Mar 10, 2007 11:55 pm 
Offline
Space Cadet

Joined: Sat Mar 10, 2007 10:44 pm
Posts: 7
Location: Harpers Ferry, WV
Alright guys and gals. After finally buying a new Mac - Black MacBook - I've learned the same thing everyone else has; no Classic. Yes, I, like a lot of other users, have a few old applications that I just can't do without.

I've managed to get vMac (mini) working with 7.0.1; not that I really need anything that old, but, wanted to prove that I do know what I'm doing.

Trying to get SS running is proving to be more of a pain. To verify I have at least some valid files, I setup Basilisk II and that works with my Quadra650 ROM and a 7.5.5 startup disk image (.dmg). When I try to use the Mac OS ROM and the same image (not at the same time) on SS, I get the message that it's not compatible with this machine. I'm guessing it's the ROM that it's seeing and figureing it can't run 7.5.5. Since I don't have my old CD's or floppies, I'm stuck with just the images. I thought SS could handle 7.5?

Also, is there a way to get out of SS without having to force quit? Quit doesn't work :( :(


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sun Mar 11, 2007 8:45 am 
Offline
Expert User
User avatar

Joined: Thu Feb 09, 2006 10:24 pm
Posts: 3930
Location: Amsterdam, Netherlands
SheepShaver emulates a PPC Mac and needs a different ROM file than BasisliskII that emulates a 68k Mac. A Quadra ROM file will not work.

A ROM file that will work is the one that can be extracted from "Mac OS ROM Update 1.0" using Tomeviewer.
http://docs.info.apple.com/article.html?artnum=60408
http://www.versiontracker.com/dyn/moreinfo/macos/4561

SheepShaver will run MacOS 8.5 through 9.0.4


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sun Mar 11, 2007 3:24 pm 
Offline
Space Cadet

Joined: Sat Mar 10, 2007 10:44 pm
Posts: 7
Location: Harpers Ferry, WV
That should be the ROM that I'm using but I'll double check. As for the OS versions, according to the site (http://gwenole.beauchesne.info/projects/sheepshaver/):

"SheepShaver runs MacOS 7.5.2 thru MacOS 9.0.4"

So I'm not sure why you say it's only 8.x and up.

Thanks!!!!


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sun Mar 11, 2007 5:02 pm 
Offline
Expert User
User avatar

Joined: Thu Feb 09, 2006 10:24 pm
Posts: 3930
Location: Amsterdam, Netherlands
ShosMeister wrote:
"SheepShaver runs MacOS 7.5.2 thru MacOS 9.0.4"

So I'm not sure why you say it's only 8.x and up.

The Mac version only runs 8.5 thru 9.0.4


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sun Mar 11, 2007 6:05 pm 
Offline
Space Cadet

Joined: Sat Mar 10, 2007 10:44 pm
Posts: 7
Location: Harpers Ferry, WV
So stick with B2 if I need to run 7.x then I guess.

Thanks!!!


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sat Jun 09, 2007 9:08 am 
Offline
Student Driver

Joined: Mon Jun 13, 2005 8:47 am
Posts: 24
I've had 7.5.3/7.5.5 running just fine in SheepShaver.

Image


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sat Jun 09, 2007 9:16 am 
Offline
Expert User
User avatar

Joined: Sat Aug 30, 2003 4:15 pm
Posts: 866
Location: UK
7.5 will run fine in the Windows version of SheepShaver.

The Mac version of SheepShaver will only run MacOS 8.

I've no idea why.


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Wed Aug 15, 2007 7:27 am 
Offline
Master Emulator
User avatar

Joined: Tue Aug 14, 2007 4:32 pm
Posts: 385
Location: People's Republic of China
do you have any pre-beige G3 OldWorld ROM which is 4MB in size?
I managed to run 7.5.3 with a ROM from a Power Mac 9600 on both Windows and PowerPC MacOSX versions of SheepShaver.


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Thu Aug 16, 2007 9:41 pm 
Offline
Space Cadet

Joined: Sat Mar 10, 2007 10:44 pm
Posts: 7
Location: Harpers Ferry, WV
I don't think so. I have an old Classic I'm trying to get running, but, I'm guessing that's too old. I'm going to try to copy the ROM out of there before I turn it into a fish tank :)

Thanks for the input though!!!


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Fri Aug 17, 2007 1:43 am 
Offline
Master Emulator
User avatar

Joined: Tue Aug 14, 2007 4:32 pm
Posts: 385
Location: People's Republic of China
You need an OldWorld Power Mac with PCI.
at present only SoftMac accept Classic ROM


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Thu Nov 01, 2007 7:40 pm 
Offline
Space Cadet

Joined: Thu Nov 01, 2007 2:18 pm
Posts: 1
Location: Frankfurt/Germany
To Stephen

(maybe my post is a little outdated - sorry if so...)

thanks to your great site i started to look for ways to get my old (beloved?) sys 753 from years ago onto my also quite old ibook G3 -
because i am thinking about buying an intel mac soon.
os 9 was easy to run. in order to run 7.5.3 i had to "acquire" a beige (PPC9500) ROM.

but now the old 7.5.3 runs along. i won't use it to do heavy work, so an occasional crash doesn't matter too much to me.

sheepshaver with me will only run in a window, and i had to select "ignore illegal memory access" (or a similar formulation i don't remember...).


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Thu Nov 08, 2007 1:51 pm 
Offline
Space Cadet

Joined: Wed Oct 31, 2007 6:19 pm
Posts: 6
Stephen Coates wrote:
7.5 will run fine in the Windows version of SheepShaver.

The Mac version of SheepShaver will only run MacOS 8.

I've no idea why.


SheepShaver on my Mac G5 is running MacOS 7.5.


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Thu Nov 08, 2007 4:54 pm 
Offline
Expert User
User avatar

Joined: Thu Feb 09, 2006 10:24 pm
Posts: 3930
Location: Amsterdam, Netherlands
gedgar wrote:
Stephen Coates wrote:
7.5 will run fine in the Windows version of SheepShaver.

The Mac version of SheepShaver will only run MacOS 8.

I've no idea why.


SheepShaver on my Mac G5 is running MacOS 7.5.

Apparently, it depends on the ROM whether 7.5 will run.


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sat Nov 10, 2007 12:46 pm 
Offline
Student Driver
User avatar

Joined: Sat Nov 10, 2007 12:28 pm
Posts: 13
Location: N.E. United States
I have Sheepshaver running 7.6, 8.6, and 9.04 in my Intel Macbook.

The Startup Disk Control Panel would not work to select a different OS with the ROM update 1.0 so I harvested the ROM from my G3.


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sat Nov 10, 2007 1:49 pm 
Offline
Tinkerer

Joined: Fri Nov 09, 2007 5:42 pm
Posts: 51
On my G5 I'm able to run OS 9 and the free System 7.5.3
The first rom I had wouldn't work with 7.5.3 but then I found another which works.

When I open the Startup Volume control panel in either 7.5.3 or OS 9 SS crashes. Is that "normal" as in, everyone has this problem?


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sat Nov 10, 2007 2:06 pm 
Offline
Expert User
User avatar

Joined: Fri Feb 13, 2004 8:59 am
Posts: 3317
Location: Sittard, The Netherlands
Yes,

The Startup Volume CP doesn't work. You can change the startup disk by changing the order in which the disks appear in the settings GUI.

Best,
Cat_7


Top
 Profile  
Post a reply  
 Post subject:
PostPosted: Sat Nov 10, 2007 2:10 pm 
Offline
Student Driver
User avatar

Joined: Sat Nov 10, 2007 12:28 pm
Posts: 13
Location: N.E. United States
Cat_7 wrote:
Yes,

The Startup Volume CP doesn't work. You can change the startup disk by changing the order in which the disks appear in the settings GUI.

Best,
Cat_7


It works fine for me if I use the G3 ROM file


Top
 Profile  
Post a reply  
Display posts from previous:  Sort by  
Post new topic  Reply to topic Page 1 of 1 [ 17 posts ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
 

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group